(function ($) {
    "use strict";
        var WidgetTeamCarouselHandler = function ($scope, $) {
        
            var swiper_elem = $scope.find('.htmega-team-carousel-slider-active').eq(0);
            if( swiper_elem.length > 0){ swiper_elem[0].style.display='block'; }
            
            if (swiper_elem.length > 0) {
                var swiper_opt = swiper_elem.data('settings');
                //var swiper = new Swiper(swiper_elem[0], { // for js version 8.0.3
                var swiper = new Swiper( swiper_elem, {
                    slidesPerView : swiper_opt.display_columns,
                    slidesPerGroup: 1,
                    centeredSlides: swiper_opt.slaut_center_slides,
                    loop: swiper_opt.loop,
                    speed: swiper_opt.autoplay_speed,
                    spaceBetween : swiper_opt.slitems_space_between,
                    autoplay: swiper_opt.autoplay,
                    direction: 'horizontal',
                    navigation: {
                        nextEl: swiper_opt.arrow_prev_txt,
                        prevEl: swiper_opt.arrow_next_txt,
                    },
                    pagination: {
                        el: swiper_opt.dots_style,
                        type: 'bullets',
                        clickable: true
                    },
                    breakpoints: {
                        1499: {
                            slidesPerView : swiper_opt.display_columns,
                            spaceBetween : swiper_opt.slitems_space_between,
                        },
                        991: {
                            slidesPerView : swiper_opt.display_columns,
                            spaceBetween : swiper_opt.slitems_space_between,
                        },
                        768: {
                            slidesPerView : swiper_opt.tablet_display_columns,
                            spaceBetween : swiper_opt.tablet_slitems_space_between,
                        },
                        575: {
                            slidesPerView : swiper_opt.mobile_display_columns,
                            spaceBetween : swiper_opt.mobile_slitems_space_between,
                        },
                        0 : {
                            slidesPerView : 1
                        }
                    }


                });
            }

        }

    // Run this code under Elementor.
    $(window).on('elementor/frontend/init', function () {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/htmega-team-carousel-addons.default', WidgetTeamCarouselHandler);
    });

})(jQuery);
